@charset "utf-8";

/*===========================================================*/
/* 背景色が伸びる（下から上） */
/*===========================================================*/

/*========= ローディング画面のためのCSS ===============*/
#splash {
    position: fixed;
    z-index: 9999999;

    width: 100%;
    height: 100%;

    text-align: center;

    color: #fff;
    background: #fff;
}

#splash-logo {
    position: absolute;
    top: 50%;
    left: 50%;

    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

#splash-logo img {
    width: 50px;
}

/*========= 画面遷移のためのCSS ===============*/

/*画面遷移アニメーション*/

.splashbg {
    display: none;
}

body.appear .splashbg {
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;

    display: block;

    width: 100%;
    height: 100vh;

    -webkit-transform: scaleY(0);
    -ms-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-animation-name: PageAnime;
    animation-name: PageAnime;
    -webkit-animation-duration: 1.2s;
    animation-duration: 1.2s;
    -webkit-animation-timing-function: ease-in-out;
    animation-timing-function: ease-in-out;
    /*伸びる背景色の設定*/
    /*background-color: #eb6100;*/

    background-image: -o-radial-gradient(
        10% 20%,
        circle farthest-corner,
        rgba(255, 209, 67, 1) 0%,
        rgba(255, 145, 83, 1) 90%
    );
    background-image: radial-gradient(
        circle farthest-corner at 10% 20%,
        rgba(255, 209, 67, 1) 0%,
        rgba(255, 145, 83, 1) 90%
    );

    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@-webkit-keyframes PageAnime {
    0% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: bottom;
        transform-origin: bottom;
    }
    50% {
        -webkit-transform: scaleY(1);
        transform: scaleY(1);
        -webkit-transform-origin: bottom;
        transform-origin: bottom;
    }
    50.001% {
        -webkit-transform-origin: top;
        transform-origin: top;
    }
    100% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: top;
        transform-origin: top;
    }
}

@keyframes PageAnime {
    0% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: bottom;
        transform-origin: bottom;
    }
    50% {
        -webkit-transform: scaleY(1);
        transform: scaleY(1);
        -webkit-transform-origin: bottom;
        transform-origin: bottom;
    }
    50.001% {
        -webkit-transform-origin: top;
        transform-origin: top;
    }
    100% {
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
        -webkit-transform-origin: top;
        transform-origin: top;
    }
}

/*画面遷移の後現れるコンテンツ設定*/

#wrapper {
    opacity: 0; /*はじめは透過0に*/
}

/*bodyにappearクラスがついたら出現*/
body.appear #wrapper {
    -webkit-animation-name: PageAnimeAppear;
    animation-name: PageAnimeAppear;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-delay: 0.8s;
    animation-delay: 0.8s;

    opacity: 0;

    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@-webkit-keyframes PageAnimeAppear {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes PageAnimeAppear {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

/*===========================================================*/
/* クリックしたらナビが下から上に出現 */
/*===========================================================*/
#g-nav {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
    bottom: -120%;

    width: 100%;
    height: 100vh; /*ナビの高さ*/
    /*動き*/

    -webkit-transition: all 0.6s;
    -o-transition: all 0.6s;
    transition: all 0.6s;

    background: #eb6100;
}

/*アクティブクラスがついたら位置を0に*/
#g-nav.panelactive {
    bottom: 0;
}

/*ナビゲーションの縦スクロール*/
#g-nav #g-nav-list {
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999;

    overflow: auto;

    width: 100%;
    height: 100vh; /*表示する高さ*/

    -webkit-overflow-scrolling: touch;
}

/*ナビゲーション*/
#g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;

    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

/*リストのレイアウト設定*/

#g-nav li {
    list-style: none;

    text-align: center;
}

#g-nav li a {
    font-weight: bold;

    display: block;

    padding: 10px;

    text-decoration: none;
    letter-spacing: 0.1em;
    text-transform: uppercase;

    color: #333;
}

/*===========================================================*/
/* MENUが×に */
/*===========================================================*/

.openbtn {
    position: fixed;
    z-index: 9999; /*ボタンを最前面に*/
    top: 0;
    right: 0;

    width: 80px;
    height: 70px;

    cursor: pointer;

    border-left: 2px solid #333;
}

/*ボタン内側*/
.openbtn span {
    position: absolute;

    display: inline-block;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    transition: all 0.4s; /*アニメーションの設定*/
}

.openbtn span:nth-of-type(1),
.openbtn span:nth-of-type(3) {
    top: 22px;
    left: 20px;

    width: 30%;
    height: 2px;

    opacity: 0;
    background: #333;
}

.openbtn span:nth-of-type(2) {
    font-size: 0.9rem;

    top: 22px;
    left: 18px;

    text-transform: uppercase;

    color: #333;
}

@media screen and (max-width: 550px) {
    .openbtn span:nth-of-type(2) {
        font-size: 0.8rem;
    }
}

.openbtn span:nth-of-type(3) {
    top: 35px;
}

/*activeクラスが付与されると線が回転して×になり、Menu表記をしている2つ目の要素が透過して消える*/

.openbtn.active span:nth-of-type(1),
.openbtn.active span:nth-of-type(3) {
    opacity: 1;
}

.openbtn.active span:nth-of-type(1) {
    top: 28px;
    left: 30px;

    -webkit-transform: translateY(6px) rotate(-45deg);
    -ms-transform: translateY(6px) rotate(-45deg);
    transform: translateY(6px) rotate(-45deg);
}

.openbtn.active span:nth-of-type(2) {
    opacity: 0;
}

.openbtn.active span:nth-of-type(3) {
    top: 40px;
    left: 30px;

    -webkit-transform: translateY(-6px) rotate(45deg);
    -ms-transform: translateY(-6px) rotate(45deg);
    transform: translateY(-6px) rotate(45deg);
}

/*===========================================================*/
/* 追従メニューの現在地ハイライト*/
/*===========================================================*/

/*========= 現在地表示のためのCSS ===============*/

#header {
    position: fixed; /*header固定*/
    z-index: 9;

    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;

    width: 100%;
    height: 100px; /*Headerの高さ設定*/

    background: #fff;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

@media screen and (max-width: 990px) {
    #header {
        height: 75px;
    }
}

#pc-nav ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;

    margin: 0 0 0 5%;

    list-style: none;

    text-transform: uppercase;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

#pc-nav li a {
    display: block;

    padding: 0 15px;

    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    text-decoration: none;

    color: #333;
}

#pc-nav li.current a,
#pc-nav li a:hover {
    color: #eb6100;
}

/*===========================================================*/
/* スクロールをするとエリアの高さに合わせて線が伸びる*/
/*===========================================================*/

.scrollgress {
    z-index: 99; /*他のposition指定しているエリアより前に出すためz-indexの数字を大きく*/
}

/*===========================================================*/
/* 下線が伸びて背景に変わる*/
/*===========================================================*/

.btnlinestretches3 {
    /*線の基点とするためrelativeを指定*/
    position: relative;

    display: inline-block;

    padding: 5px 30px;

    text-decoration: none;
    /*ボタンの形状*/

    color: #333;
    outline: none;
}

/*テキストの設定*/
.btnlinestretches3 span {
    /*テキストを前面に出すためz-indexの値を高く設定*/
    position: relative;
    z-index: 2;
}

.btnlinestretches3:hover span {
    color: #fff;
}

/*線の設定*/
.btnlinestretches3::after {
    /*絶対配置で線の位置を決める*/
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: 0;

    width: 100%;
    height: 3px;

    content: "";
    /*アニメーションの指定*/
    -webkit-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    /*線の形状*/

    background: #333;
}

/*線が伸びて背景に*/
.btnlinestretches3:hover::after {
    height: 100%;
}

/*===========================================================*/
/* ページの指定の高さを超えたら右から出現*/
/*===========================================================*/

/*リンクの形状*/
#page-top a {
    font-size: 0.6rem;

    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;

    width: 60px;
    height: 50px;

    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;

    color: #fff;
    background: #eb6100;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

#page-top a:hover {
    background: #777;
}

/*リンクを右下に固定*/
#page-top {
    position: fixed;
    z-index: 2;
    right: 0;
    bottom: 0;

    -webkit-transform: translateX(100px);
    -ms-transform: translateX(100px);
    transform: translateX(100px);
    /*はじめは非表示*/

    opacity: 0;
}

/*　左の動き　*/

#page-top.LeftMove {
    -webkit-animation: LeftAnime 0.5s forwards;
    animation: LeftAnime 0.5s forwards;
}

@-webkit-keyframes LeftAnime {
    from {
        -webkit-transform: translateX(100px);
        transform: translateX(100px);

        opacity: 0;
    }
    to {
        -webkit-transform: translateX(0);
        transform: translateX(0);

        opacity: 1;
    }
}

@keyframes LeftAnime {
    from {
        -webkit-transform: translateX(100px);
        transform: translateX(100px);

        opacity: 0;
    }
    to {
        -webkit-transform: translateX(0);
        transform: translateX(0);

        opacity: 1;
    }
}

/*　右の動き　*/

#page-top.RightMove {
    -webkit-animation: RightAnime 0.5s forwards;
    animation: RightAnime 0.5s forwards;
}
@-webkit-keyframes RightAnime {
    from {
        -webkit-transform: translateX(0);
        transform: translateX(0);

        opacity: 1;
    }
    to {
        -webkit-transform: translateX(100px);
        transform: translateX(100px);

        opacity: 1;
    }
}
@keyframes RightAnime {
    from {
        -webkit-transform: translateX(0);
        transform: translateX(0);

        opacity: 1;
    }
    to {
        -webkit-transform: translateX(100px);
        transform: translateX(100px);

        opacity: 1;
    }
}

/*===========================================================*/
/* 任意の場所をクリックすると隠れていた内容が開き、先に開いていた内容が閉じる*/
/*===========================================================*/

/*アコーディオン全体*/
.accordion-area {
    width: 96%;
    max-width: 900px;
    margin: 0 auto;

    list-style: none;
}

.accordion-area li {
    margin: 10px 0;
}

.accordion-area section {
    border: 1px solid #ccc;
}

/*アコーディオンタイトル*/
.title {
    font-size: 1rem;
    font-weight: normal;

    position: relative; /*+マークの位置基準とするためrelative指定*/

    padding: 3% 3% 3% 50px;

    cursor: pointer;
    -webkit-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

@media screen and (max-width: 768px) {
    .title {
        font-size: 0.9rem;
    }
}

/*アイコンの＋と×*/
.title::before,
.title::after {
    position: absolute;

    width: 15px;
    height: 2px;

    content: "";

    background-color: #333;
}
.title::before {
    top: 48%;
    left: 15px;

    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
}
.title::after {
    top: 48%;
    left: 15px;

    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
}

/*　closeというクラスがついたら形状変化　*/

.title.close::before {
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.title.close::after {
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

/*アコーディオンで現れるエリア*/
.box {
    display: none; /*はじめは非表示*/

    margin: 0 3% 3% 3%;
    padding: 3%;
    /*background: #f3f3f3;*/

    background-image: -o-radial-gradient(
        10% 20%,
        circle farthest-corner,
        rgba(50, 172, 109, 1) 0%,
        rgba(209, 251, 155, 1) 100.2%
    );
    background-image: radial-gradient(
        circle farthest-corner at 10% 20%,
        rgba(50, 172, 109, 1) 0%,
        rgba(209, 251, 155, 1) 100.2%
    );

    -webkit-filter: drop-shadow(0px 0px 5px #ffd50091);
    filter: drop-shadow(0px 0px 5px #ffd50091);
}

/*===========================================================*/
/* ニュースティッカー*/
/*===========================================================*/

/*ニュース1行の周りの余白*/
.slider a {
    display: block;

    padding: 10px 0;

    background: #fff;
    background: rgb(251, 205, 0, 0.4);
}

/*日付*/
.slider time {
    font-size: 0.8rem;

    display: inline-block;

    margin-right: 10px;

    color: #777;
}

/*768px以下の見た目*/
@media screen and (max-width: 768px) {
    .slider {
        padding: 20px;

        background: #fff;
    }

    .slider li {
        border-bottom: 1px dashed #ccc;
    }

    .slider li:last-child {
        border-bottom: none;
    }
    .slider time {
        display: block;

        padding-bottom: 10px;
    }
}

/*===========================================================*/
/* 最低限おぼえておきたい動き*/
/*===========================================================*/

/*4-9　シャッ（左から）*/
.bgextend {
    position: relative;

    overflow: hidden; /*　はみ出た色要素を隠す　*/

    -webkit-animation-name: bgextendAnimeBase;
    animation-name: bgextendAnimeBase;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;

    opacity: 0;

    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@-webkit-keyframes bgextendAnimeBase {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes bgextendAnimeBase {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/*中の要素*/
.bgappear {
    -webkit-animation-name: bgextendAnimeSecond;
    animation-name: bgextendAnimeSecond;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;

    opacity: 0;

    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@-webkit-keyframes bgextendAnimeSecond {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes bgextendAnimeSecond {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.bgLRextend::before {
    position: absolute;

    width: 100%;
    height: 100%;

    content: "";
    -webkit-animation-name: bgLRextendAnime;
    animation-name: bgLRextendAnime;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;

    background-color: #eb6100; /*伸びる背景色の設定*/

    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}
@-webkit-keyframes bgLRextendAnime {
    0% {
        -webkit-transform: scaleX(0);
        transform: scaleX(0);
        -webkit-transform-origin: left;
        transform-origin: left;
    }
    50% {
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
        -webkit-transform-origin: left;
        transform-origin: left;
    }
    50.001% {
        -webkit-transform-origin: right;
        transform-origin: right;
    }
    100% {
        -webkit-transform: scaleX(0);
        transform: scaleX(0);
        -webkit-transform-origin: right;
        transform-origin: right;
    }
}
@keyframes bgLRextendAnime {
    0% {
        -webkit-transform: scaleX(0);
        transform: scaleX(0);
        -webkit-transform-origin: left;
        transform-origin: left;
    }
    50% {
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
        -webkit-transform-origin: left;
        transform-origin: left;
    }
    50.001% {
        -webkit-transform-origin: right;
        transform-origin: right;
    }
    100% {
        -webkit-transform: scaleX(0);
        transform: scaleX(0);
        -webkit-transform-origin: right;
        transform-origin: right;
    }
}

/* ふわっ（下から） */

.fadeUp {
    -webkit-animation-name: fadeUpAnime;
    animation-name: fadeUpAnime;
    -webkit-animation-duration: 0.5s;
    animation-duration: 0.5s;

    opacity: 0;

    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@-webkit-keyframes fadeUpAnime {
    from {
        -webkit-transform: translateY(100px);
        transform: translateY(100px);

        opacity: 0;
    }

    to {
        -webkit-transform: translateY(0);
        transform: translateY(0);

        opacity: 1;
    }
}

@keyframes fadeUpAnime {
    from {
        -webkit-transform: translateY(100px);
        transform: translateY(100px);

        opacity: 0;
    }

    to {
        -webkit-transform: translateY(0);
        transform: translateY(0);

        opacity: 1;
    }
}

/* パタッ（左へ） */
.flipLeft {
    -webkit-animation-name: flipLeftAnime;
    animation-name: flipLeftAnime;
    -webkit-animation-duration: 0.5s;
    animation-duration: 0.5s;

    opacity: 0;

    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    -webkit-perspective-origin: left center;
    perspective-origin: left center;
}

@-webkit-keyframes flipLeftAnime {
    from {
        -webkit-transform: perspective(600px) translate3d(0, 0, 0) rotateY(30deg);
        transform: perspective(600px) translate3d(0, 0, 0) rotateY(30deg);

        opacity: 0;
    }

    to {
        -webkit-transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);
        transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);

        opacity: 1;
    }
}

@keyframes flipLeftAnime {
    from {
        -webkit-transform: perspective(600px) translate3d(0, 0, 0) rotateY(30deg);
        transform: perspective(600px) translate3d(0, 0, 0) rotateY(30deg);

        opacity: 0;
    }

    to {
        -webkit-transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);
        transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);

        opacity: 1;
    }
}

/* スマホ表示用。flipLeftTriggerを指定している親要素に指定しないとうまく動かない*/
#vision,
.service-area {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

/* スクロールをしたら出現する要素にはじめに透過0を指定　*/
.bgLRextendTrigger,
.bgappearTrigger,
.fadeUpTrigger,
.flipLeftTrigger {
    opacity: 0;
}

/*===========================================================*/
/* スクロールすると下のエリアがヘッダーにかぶさる*/
/*===========================================================*/

#top-main {
    position: relative;

    width: 100%;
    height: 100vh;
}

#top-main:before {
    position: fixed;
    z-index: -1;
    top: 10vh;
    left: 5%;

    width: 90%;
    height: 80vh;

    content: "";
    /*背景画像設定*/

    background: url("../img/main.jpg") no-repeat center;
    background-size: cover;
}

@media screen and (max-width: 768px) {
    #top-main:before {
        background-position: top center;
        background-size: auto 90%;
    }
}

#container {
    position: relative;
    z-index: 1;
    /*background:#fff;*/

    background-image: -o-radial-gradient(
        50.1% 52.3%,
        circle farthest-corner,
        rgb(255, 244, 183) 58.2%,
        rgb(251, 205, 0) 90.1%
    );
    background-image: radial-gradient(
        circle farthest-corner at 50.1% 52.3%,
        rgb(255, 244, 183) 58.2%,
        rgb(251, 205, 0) 90.1%
    );
}
